#include <iostream>
#include <fstream>
#include <iomanip>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	double a;

	input.open("DTHT.inp");
	input >> a;

	input.close();

	output.open("DTHT.out");
	output.setf(ios::fixed);
	output.precision(2);

	output << a * a * 3.14 / 2;
	output.close();
	return 0;
}